Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.resources.selectors
Class Type.FileDir

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.types.resources.selectors.Type.FileDir

Enclosing class:
  Type

    public static class Type.FileDir

extends EnumeratedAttribute

Implements the type attribute.

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`Type.FileDir()` Default constructor.
`Type.FileDir(java.lang.String value)` Convenience constructor.

Method Summary
`java.lang.String[]` | `getValues()` Return the possible values.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Type.FileDir

    public Type.FileDir()

  Default constructor.

### Type.FileDir

    public Type.FileDir(java.lang.String value)

  Convenience constructor.

  Parameters:
    `value` - the String EnumeratedAttribute value.

Method Detail

### getValues

    public java.lang.String[] getValues()

  Return the possible values.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    a String array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD